Summary: The basic directory layout for a Linux system.
Name: filesystem
Version: 3.2
Release: b1
License: Public Domain
Group: System Environment/Base
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
The filesystem package is one of the basic packages that is installed
on a Linux system. Filesystem contains the basic directory layout
for a Linux operating system, including the correct permissions for
the directories.

%prep

%install
rm -rf %{buildroot}
mkdir %{buildroot}

cd %{buildroot}

mkdir -p boot dev \
	etc/{X11/fontpath.d,xdg/autostart,xinetd.d,skel,sysconfig,pki} \
	home media mnt opt proc root run/lock srv sys tmp \
	usr/{bin,include,%{_lib}/{sse2,tls,X11,pm-utils/{module.d,power.d,sleep.d}},lib/{locale,modules},libexec,local/{bin,etc,lib,%{_lib},sbin,src,share/{man/man{1,2,3,4,5,6,7,8,9,n},info},libexec,include},sbin,share/{applications,dict,doc,icons,info,man/man{1,2,3,4,5,6,7,8,9,n},misc,pixmaps,sounds,themes,xsessions},src} \
        var/{lib/misc,local,lock/subsys,log,nis,run,spool/{mail,lpd},tmp,db,cache,opt,yp}

ln -snf ../var/tmp usr/tmp
ln -snf spool/mail var/mail

ln -snf usr/bin bin
ln -snf usr/sbin sbin
ln -snf usr/lib lib
#ln -snf usr/%{_lib} %{_lib}

#ln -snf /run var/run
#ln -snf /run/lock var/lock

%clean
rm -rf %{buildroot}

%files
%defattr(0755,root,root,-)
%dir %attr(555,root,root) /
/bin
%attr(555,root,root) /boot
/dev
%dir /etc
/home
/lib
%ifarch x86_64 ppc ppc64 sparc sparc64 s390 s390x
/%{_lib}
%endif
/media
%dir /mnt
%dir /opt
%attr(555,root,root) /proc
%attr(550,root,root) /root
/run
/sbin
/srv
/sys
%attr(1777,root,root) /tmp
%dir /usr
%attr(555,root,root) /usr/bin
#/usr/etc
#/usr/games
/usr/include
%attr(555,root,root) /usr/lib
%ifarch x86_64 ppc ppc64 sparc sparc64 s390 s390x
%attr(555,root,root) /usr/%{_lib}
%endif
/usr/libexec
/usr/local
%attr(555,root,root) /usr/sbin
%dir /usr/share
#/usr/share/aclocal
/usr/share/applications
#/usr/share/augeas
#/usr/share/backgrounds
#/usr/share/desktop-directories
/usr/share/dict
/usr/share/doc
#%attr(555,root,root) %dir /usr/share/empty
#/usr/share/games
#/usr/share/ghostscript
#/usr/share/gnome
/usr/share/icons
#/usr/share/idl
#/usr/share/info
#%dir /usr/share/locale
%dir /usr/share/man
#/usr/share/mime-info
/usr/share/misc
#/usr/share/omf
/usr/share/pixmaps
/usr/share/sounds
/usr/share/themes
/usr/share/xsessions
#/usr/share/X11
/usr/src
/usr/tmp
%dir /var
/var/db
#/var/games
/var/lib
/var/local
%ghost %dir %attr(755,root,root) /var/lock
%ghost /var/lock/subsys
#/var/cache
/var/log
/var/mail
/var/nis
/var/opt
#/var/preserve
%ghost %attr(755,root,root) /var/run
%dir /var/spool
#%attr(755,root,root) /var/spool/lpd
%attr(775,root,mail) /var/spool/mail
%attr(1777,root,root) /var/tmp
/var/yp

%changelog
* Thu May 31 2012 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 3-2
* Wed Apr 27 2011 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 2.4.35-1
* Sat Nov 4 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- for Fedora Core 6
- Update to 2.3.7-2
* Wed Mar 29 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- for Fedora Core 5
- Update to 2.3.7-1.2.1
* Sun Jul 17 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- for Fedora Core 4
- add /etc/pki, a place to store keys and certificates
* Thu Nov 18 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- from Fedora Core 3
- filesystem-2.3.0-1.src.rpm
* Thu May 20 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- from Fedora Core 2
- filesystem-2.2.4-1.src.rpm
- move /selinux here from SysVinit
* Sun Feb 15 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- from Fedora Core 2-test1
- filesystem-2.2.3-1.src.rpm
- move /usr/dict to /usr/share/dict
- add /usr/lib/locale, /var/empty
- add */%%{_lib}/tls
- add /sys
* Tue Nov 18 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- from Red Hat Fedora Core 1
- filesystem-2.2.1-5.src.rpm
- Added /usr/share/xsessions
* Mon Apr 14 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- from Red Hat Linux 9.0
- filesystem-2.2.1-3.src.rpm
* Tue Mar 4 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from Red Hat Linux 8.0
- filesystem-2.1.6-5.src.rpm
